Help Lỗi sai mật khẩu members khi Convert sang Xenforo 1.5.22 từ IPS4.4.6

VuLuanLs

Thượng Đế
Tham gia
28/09/2019
Bài viết
11
Được Like
1
Chào các bạn,
Mình đang sử dụng IPS4.4.6, đang muốn chuyển sang Xenforo, mình đã convert sang phiên bản XF1.5.22, sau khi convert hầu như mọi thứ đều ok từ các forum, bài viết, file đính kèm...
duy chỉ có phần mật khẩu của thành viên là bị báo lỗi sai mật khẩu trong khi vẫn nhập đúng mật khẩu trên diễn đàn cũ.
vậy mong các bạn hướng dẫn mình cách fix.
cám ơn các bạn rất nhiều.
 

PhuongBinzz

Thượng Đế
Tham gia
21/07/2016
Bài viết
1,019
Được Like
381
sao không lên 2 luôn bạn.
trường hợp này cho người dùng chủ động reset lại pass thôi bạn. thông báo mem thay đỗi mã nguồn cần reset pas bằng mail của nick đấy .
 

dinhphucv

Thượng Đế
Tham gia
09/08/2017
Bài viết
427
Được Like
265
Có lẽ vì cơ chế bảo mật hoặc cơ chế mã hóa mật khẩu khác nhau nên mật khẩu sẽ không được đem qua chính xác, như bác ở trên nói thì cách đơn giản nhất là reset password.
 

VuLuanLs

Thượng Đế
Tham gia
28/09/2019
Bài viết
11
Được Like
1
sao không lên 2 luôn bạn.
trường hợp này cho người dùng chủ động reset lại pass thôi bạn. thông báo mem thay đỗi mã nguồn cần reset pas bằng mail của nick đấy .
mình thử lên 2 thì báo lỗi khi convert nên phải dùng 1.5 :(
Mã:
XF\Db\Exception: MySQL query error [1265]: Data truncated for column 'permission_value' at row 12 in src/XF/Db/AbstractStatement.php at line 217
[LIST=1]
[*]XF\Db\AbstractStatement->getException() in src/XF/Db/Mysqli/Statement.php at line 196
[*]XF\Db\Mysqli\Statement->getException() in src/XF/Db/Mysqli/Statement.php at line 77
[*]XF\Db\Mysqli\Statement->execute() in src/XF/Db/AbstractAdapter.php at line 94
[*]XF\Db\AbstractAdapter->query() in src/XF/Db/AbstractAdapter.php at line 274
[*]XF\Db\AbstractAdapter->insertBulk() in src/XF/Import/DataHelper/Permission.php at line 152
[*]XF\Import\DataHelper\Permission->insertPermissionsInternal() in src/XF/Import/DataHelper/Permission.php at line 12
[*]XF\Import\DataHelper\Permission->insertUserGroupPermissions() in src/XF/Import/Data/UserGroup.php at line 30
[*]XF\Import\Data\UserGroup->postSave() in src/XF/Import/Data/AbstractData.php at line 136
[*]XF\Import\Data\AbstractData->save() in src/addons/XFI/Import/Importer/IpsForums.php at line 407
[*]XFI\Import\Importer\IpsForums->stepUserGroups() in src/XF/Import/Runner.php at line 231
[*]XF\Import\Runner->runStep() in src/XF/Import/Runner.php at line 59
[*]XF\Import\Runner->run() in src/XF/Admin/Controller/Import.php at line 234
[*]XF\Admin\Controller\Import->actionRun() in src/XF/Mvc/Dispatcher.php at line 321
[*]XF\Mvc\Dispatcher->dispatchClass() in src/XF/Mvc/Dispatcher.php at line 248
[*]XF\Mvc\Dispatcher->dispatchFromMatch() in src/XF/Mvc/Dispatcher.php at line 100
[*]XF\Mvc\Dispatcher->dispatchLoop() in src/XF/Mvc/Dispatcher.php at line 50
[*]XF\Mvc\Dispatcher->run() in src/XF/App.php at line 2178
[*]XF\App->run() in src/XF.php at line 390
[*]XF::runApp() in admin.php at line 13
[/LIST]
 
Sửa lần cuối:

PhuongBinzz

Thượng Đế
Tham gia
21/07/2016
Bài viết
1,019
Được Like
381
mình thử lên 2 thì báo lỗi khi convert nên phải dùng 1.5 :(
Mã:
XF\Db\Exception: MySQL query error [1265]: Data truncated for column 'permission_value' at row 12 in src/XF/Db/AbstractStatement.php at line 217
[LIST=1]
[*]XF\Db\AbstractStatement->getException() in src/XF/Db/Mysqli/Statement.php at line 196

.....
[/LIST]
đơn giản nhất là sang 1. xong up lên 2. :D
 

VuLuanLs

Thượng Đế
Tham gia
28/09/2019
Bài viết
11
Được Like
1
đơn giản nhất là sang 1. xong up lên 2. :D
Đó,đang trả lời lý do bạn hỏi sao ko lên 2 luôn mà
Giờ đang dùng 1.5.22
Mà cho mình hỏi, mình down bản 2.1.4 upgrade về upload lên host rồi chạy domain.com/install mà nó lại chạy install mới chứ ko chạy upgrade là sao bạn nhỉ?mình thử luôn cả domain/install/oc-upgrader.php cũng chuyển về install mới,bó tay luôn,ko biết làm sao nữa
 

PhuongBinzz

Thượng Đế
Tham gia
21/07/2016
Bài viết
1,019
Được Like
381
bạn convert lên 1.5 . sau đó up 1.5 lên xf2. vì xf2 hệ thống nó cũng có gì đó hơn. còn việc mem cứ như mình nói trên nhé
 

VuLuanLs

Thượng Đế
Tham gia
28/09/2019
Bài viết
11
Được Like
1
bạn convert lên 1.5 . sau đó up 1.5 lên xf2. vì xf2 hệ thống nó cũng có gì đó hơn. còn việc mem cứ như mình nói trên nhé
ok bạn ơi, mình đã convert rồi mà :) giờ đang dùng 1.5.22
mà mình hỏi cái, mình down bản 2.1.4 upgrade về upload lên host rồi chạy domain.com/install mà nó lại chạy install mới chứ ko chạy upgrade là sao bạn nhỉ?mình thử luôn cả domain/install/oc-upgrader.php cũng chuyển về install mới,bó tay luôn,ko biết làm sao nữa
 

PhuongBinzz

Thượng Đế
Tham gia
21/07/2016
Bài viết
1,019
Được Like
381
ok bạn ơi, mình đã convert rồi mà :) giờ đang dùng 1.5.22
mà mình hỏi cái, mình down bản 2.1.4 upgrade về upload lên host rồi chạy domain.com/install mà nó lại chạy install mới chứ ko chạy upgrade là sao bạn nhỉ?mình thử luôn cả domain/install/oc-upgrader.php cũng chuyển về install mới,bó tay luôn,ko biết làm sao nữa
inb mình hỗ trợ up cho nhé

https://www.facebook.com/PhuongBinzz
 

Hướng dẫn sử dụng

XenForo 1 XenForo 2
Translate by PVS

Hỗ trợ trực tuyến

Support Quảng cáo
Mr. San (PVS)

Skype chat, instant message

Mr. Tuấn (Blue)

Skype chat, instant message

Mr. Tuấn
0988 488 096
Mr. Trọng
0906 081 284
kinhdoanh@vnxf.vn

Nhà Tài Trợ

Mút Xốp Không Gian
pallet Thịnh Phát
Điện Lạnh Thịnh Phát
Top Bottom